// file: newstr.cc
// author: R. Keller
// purpose: copy a string into its own space
// newstr copies its string argument into newly-allocated space
// and returns the resulting pointer.

#ifndef __NEWSTR_CC__
#include <iostream>
#include <stdlib.h>
#include "newstr.h"

char *newstr(char *str)
{ 
char* new_space = new char [1+strlen(str)];
if( !new_space )
  {
  std::cerr << "no space to allocate string" << str << std::endl;
  exit(1);
  }
return strcpy(new_space, str);
}

#define __NEWSTR_CC__
#endif
